# Interface methods for submodule: WindowedSincInterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InterpolateImageFunctionProxy as _InterpolateImageFunctionProxy


# Interface methods for class: WindowedSincInterpolateImageFunction
class WindowedSincInterpolateImageFunctionProxy(_InterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInputImage(self, image) -> None:
		""""""
		...

	def EvaluateAtContinuousIndex(self, index) -> float:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

